import React, { useRef, useEffect, forwardRef } from 'react'

export default forwardRef((props, ref) => {
  const tags = useRef((props.pois || '').split(','))

  // 用来记录上一次传值
  const previous = useRef()

  // 监控 props.pois 的变化, 触发 onChange
  // 实际场景中 props.pois 只会由地图引起变化
  useEffect(() => {
    const changed = previous.current !== props.pois
    if (changed) {
      tags.current = (props.pois || '').split(',')
      previous.current = props.pois

      if (props.onChange) {
        props.onChange(tags.current)
      }
    }
  }, [props.pois, props.onChange])

  return (
    <></>
  )
})
